# sippdu.h File Reference

`#include <opal/buildopts.h>`
`#include <ptclib/mime.h>`
`#include <ptclib/url.h>`
`#include <sip/sdp.h>`
`#include <opal/rtpconn.h>`

Go to the source code of this file.

## Classes

class | SIPURL
class | SIPMIMEInfo
class | SIPAuthentication
class | SIPDigestAuthentication
class | SIP_PDU
class | SIPTransaction
class | SIPInvite
class | SIPRegister
struct | SIPRegister::Params
class | SIPSubscribe
struct | SIPSubscribe::Params
class | SIPPublish
class | SIPRefer
class | SIPReferNotify
class | SIPMessage
class | SIPAck
class | SIPOptions
class | SIPPing

## Typedefs

typedef PFactory< SIPAuthentication > | SIPAuthenticationFactory

## Functions

| PQUEUE (SIP_PDU_Queue, SIP_PDU)

## Typedef Documentation

typedef PFactory<SIPAuthentication> SIPAuthenticationFactory

## Function Documentation

PQUEUE | ( | SIP_PDU_Queue | ,
|  | SIP_PDU |  |
| ) |  |  |